Makro Neuberechnung Erzwingen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro ForceRecompute and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano

Force Recompute.png Macro Force Recompute

Beschreibung
Dieses kleine Makro erzwingt eine manuelle Neuberechnung des Modells.

Manchmal nimmt der Benutzer Änderungen am Modell in FreeCAD vor. Aber FreeCAD scheint sie nicht zu erkennen. (Ab introduced in version 0.17) kann die Wirkung dieses Makros über die GUI erreicht werden. Klicke mit der rechten Maustaste auf das Projekt in der Modellstrukturansicht und wähle "Zum Neuberechnen markieren" aus dem Kontextmenü. Danach klicke auf die Schaltfläche Neu berechnen.

Versionsmakro : 1.0
Datum der letzten Änderung : 2014-09-01
FreeCAD version : All
Herunterladen : ToolBar Icon
Autor: shoogen

Autor
shoogen
Herunterladen
ToolBar Icon
Links
Macro-Version
1.0
Datum der letzten Änderung
2014-09-01
FreeCAD-Version(s)
All
Standardverknüpfung
None
Siehe auch
None

Beschreibung

Manchmal, wenn ein Benutzer Änderungen am Modell vornimmt, scheint FreeCAD diese nicht zu erkennen und zu integrieren. Zusätzlich dazu bleibt die blaue Std Refresh.svg Aktualisieren/Neuberechnen Taste ausgegraut. Daher wurde dieses kleine Makro entwickelt, um eine manuelle Neuberechnung des Modells zu erzwingen.

Hinweis: Ab v0.17 und darüber kann die Wirkung dieses Makros über die GUI erreicht werden. Rechtsklicke auf das Projekt in der Modellbaumansicht und wähle Zum Neuberechnen markieren aus dem Kontextmenü. Dadurch wird das Symbol Aktualisieren/Neuberechnen wieder aktiv. Drücke nun auf die Std Refresh.svg Aktualisieren/Neuberechnen Taste, um eine Neuberechnung auszulösen.

Anwendung

Führe das Makro bei Bedarf aus.

Skript

ToolBar Icon Force Recompute.png

Macro Force_Recompute.py

# -*- coding: utf-8 -*-
# Force Recompute
# macro provided by shoogen

import FreeCAD
for obj in FreeCAD.ActiveDocument.Objects:
 obj.touch()
FreeCAD.ActiveDocument.recompute()